Last modified: 2014-02-12 15:10:12 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 32919 - Deployment documentation is out of date, incomplete
Deployment documentation is out of date, incomplete
Status: RESOLVED WORKSFORME
Product: Wikimedia
Classification: Unclassified
General/Unknown (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: documentation
  Show dependency treegraph
 
Reported: 2011-12-09 17:36 UTC by Sam Reed (reedy)
Modified: 2014-02-12 15:10 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Sam Reed (reedy) 2011-12-09 17:36:43 UTC
http://wikitech.wikimedia.org/view/Hetdeploy still suggests using php rather than mwscript directly etc

All should be tidied up
Comment 1 Nemo 2011-12-09 17:39:15 UTC
There are also duplicate, out of date and/or conflicting pages or sections at https://wikitech.wikimedia.org/view/Configuration_files and https://wikitech.wikimedia.org/view/How_to_deploy_code at least ; I suppose a single page should be chosen for each topic, and out of date parts removed from elsewhere.
Comment 2 Aaron Schulz 2011-12-09 18:10:40 UTC
(In reply to comment #0)
> http://wikitech.wikimedia.org/view/Hetdeploy still suggests using php rather
> than mwscript directly etc
> 
> All should be tidied up

I don't see where it says that. The pages it links to (per comment #1) are the problem.
Comment 3 Sam Reed (reedy) 2011-12-09 18:56:37 UTC
(In reply to comment #2)
> (In reply to comment #0)
> > http://wikitech.wikimedia.org/view/Hetdeploy still suggests using php rather
> > than mwscript directly etc
> > 
> > All should be tidied up
> 
> I don't see where it says that. The pages it links to (per comment #1) are the
> problem.

 Runphp ../php/maintenance/mergeMessageFileList.php --wiki=TARGETWIKI--list-file=extension-list --output=ExtensionMessages-MWVERSIONFORTHATWIKI-TARGETWIKI.php and watch the output for errors. MWVERSIONFORTHATWIKI should not include "php-", it should be like "X.XX".
Comment 4 Greg Grossmeier 2013-07-16 21:49:45 UTC
https://wikitech.wikimedia.org/wiki/How_to_deploy_code should be fairly up to date now. It's a never ending battle, of course (specially since we'll be changing some of the setup, hopefully with a deploy sprint soon).
Comment 5 Andre Klapper 2013-07-17 13:55:27 UTC
Reedy: What exactly is left to do in order to call this bug report fixed?
Comment 6 Andre Klapper 2013-12-09 16:06:15 UTC
Reedy: What exactly is left to do in order to call this bug report fixed?
Comment 7 Andre Klapper 2014-02-12 15:10:12 UTC
No answer by Reedy - closing.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links